import GIS from './gis.js';
import UI from './ui.js';

document.addEventListener('DOMContentLoaded', async () => {
    const init = await GIS.initMap('map');
    let {map, sites} = init;

    UI.addCenterMapControl(map, GIS.CENTER_COORDS, GIS.INIT_ZOOM);
    UI.toggleMenu('siti');
    UI.toggleBurger('navbar-burger');
    UI.sitesMenu('.menu-list', map, sites);

    // TEMP
    document.querySelector('.dropdown-trigger').addEventListener('click', function() {
        document.querySelector('.dropdown').classList.toggle('is-active');
    });
});
